﻿@model IEnumerable<Project_63135350.Models.Model_63135350.Category_63135350>
@{
    ViewBag.Title = "Danh mục";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section naviheader{
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="/Admin/Home_63135350" class="nav-link">Trang chủ</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="/Admin/Category_63135350" class="nav-link">Danh mục</a>
        </li>
    </ul>
}

<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Quản lý danh mục</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Home</a></li>
                    <li class="breadcrumb-item active">Danh mục</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<!-- Main content -->
<section class="content">

    <!-- Default box -->
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">Danh sách danh mục</h3>

            <div class="card-tools">
                <a href="/Admin/Category_63135350/Add" class="btn btn-primary">Thêm mới</a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th class="text-center" >STT</th>
                        <th class="text-center" >Tên danh mục</th>
                        <th class="text-center" >Thứ tự</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model != null && Model.Any())
                    {
                        var i = 1;
                        foreach (var item in Model)
                        {

                            <tr id="trow_@item.Id">
                                <td class="text-center" >@i</td>
                                <td class="text-center" >@item.Title</td>
                                <td class="text-center" >@item.Position</td>
                                <td>
                                    <a href="/Admin/Category_63135350/Edit/@item.Id" class="btn btn-sm btn-primary">Sửa</a>
                                    <a href="#" data-id="@item.Id" class="btn btn-sm btn-danger btnDelete">Xóa</a>
                                </td>
                            </tr>
                            i++;
                        }
                    }
                    else
                    {
                        <tr>
                            <td colspan="4">Không có bản ghi nào!!!</td>

                        </tr>
                    }
                </tbody>
            </table>

        </div>
        <!-- /.card-body -->
        <div class="card-footer">
        </div>
        <!-- /.card-footer-->
    </div>
    <!-- /.card -->

</section>
<!-- /.content -->

@section scripts{
    <script>
        $(document).ready(function () {
            $('body').on('click', '.btnDelete', function () {
                var id = $(this).data("id");
                var conf = confirm('Bạn có muốn xóa bản ghi này không?');
                if (conf === true) {
                    $.ajax({
                        url: '/Admin/Category_63135350/Delete',
                        type: 'POST',
                        data: { id: id },
                        success: function (rs) {
                            if (rs.success) {
                                $('#trow_' + id).remove();
                            }
                        }
                    });
                }
            });
        });
    </script>
}
